{% load static %}

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'app/document_style.css' %}">
    <script defer src="https://use.fontawesome.com/releases/v5.0.6/js/all.js"></script>

    <title>{{ document }}</title>
</head>
<body>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-6 col-12">
            <img src="{{ document.emitter.logo_url }}" alt="Logo" width="100px">
            <div class="card">
                {% with em=document.emitter %}
                    <div class="card-body">
                        <h5 class="card-title">{{ em.name }}</h5>
                        <p class="card-text">
                            {{ em.address|linebreaksbr }}<br>
                            {{ em.zip_code }} {{ em.city }}
                            {% if em.country %}<br>{{ em.country }}{% endif %}
                            {% if em.phone %}<br><i class="fas fa-fw fa-phone"></i> {{ em.phone }}{% endif %}
                            {% if em.fax %}<br><i class="fas fa-fw fa-fax"></i> {{ em.fax }}{% endif %}
                            {% if em.siret %}<br><i class="fas fa-fw fa-building"></i> {{ em.siret }}{% endif %}
                            {% if em.vat_number %}<br><i class="fas fa-fw fa-euro-sign"></i>
                                {{ em.vat_number }}{% endif %}
                        </p>
                    </div>
                {% endwith %}
            </div>
        </div>
        <div class="col-md-6 col-12">
            <div class="row">
                <div class="col-6">
                    <div class="card">
                        <div class="card-header"><strong>{{ document.prefix.type.name }} n°</strong></div>
                        <div class="card-body">
                            <p class="card-text">{{ document }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-6">
                    <div class="card">
                        <div class="card-header"><strong>Date</strong></div>
                        <div class="card-body">
                            <p class="card-text">{{ document.displayed_date|date }}</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row space-top">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">
                                {{ document.client_name }}
                            </h5>
                            <p class="card-text">
                                {% if document.client_address %}{{ document.client_address|linebreaksbr }}
                                    <br>{% endif %}
                                {{ document.client_zip_code }} {{ document.client_city }}
                                {% if document.client_country %}<br>{{ document.client_country }}{% endif %}
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <a href="javascript:if(window.print)window.print()"
       class="btn btn-lg btn-primary d-print-none space-rows btn-block"><i class="fas fa-print"></i> Imprimer</a>

{% if document.due_date < today and not document.payment_method %}
    <a href="mailto:{{ document.client_email }}?subject={{ reminder_subject }}&body={{ reminder_text }}"
       class="btn btn-lg btn-danger d-print-none space-rows btn-block"><i class="fas fa-envelope"></i> Relancer</a>
{% endif %}

    {% if document.free_text %}
        <div class="row space-rows">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <p class="card-text">{{ document.free_text|safe|linebreaksbr }}</p>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

    <div class="row space-rows">
        <div class="col-12">
            <table class="table table-sm">
                <tbody>
                <tr>
                    <th>Désignation</th>
                    <th>Quantité</th>
                    <th>P.U. HT</th>
                    <th>Total HT</th>
                    <th>TVA</th>
                    <th>Total TTC</th>
                </tr>
                {% for line in document.compta_lines.all %}
                    <tr>
                        <td>{{ line.label }}</td>
                        <td>{{ line.quantity }}</td>
                        <td>{{ line.unit_cost_excluding_vat|floatformat:2 }}€</td>
                        <td>{{ line.cost_excluding_vat|floatformat:2 }}€</td>
                        <td>{{ line.vat_rate.percentage_display.normalize }}%</td>
                        <td>{{ line.cost_including_vat|floatformat:2 }}€</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <div class="row space-rows">
        <div class="col-md-4 col-12">
            <table class="table table-sm">
                <tbody>
                <tr>
                    <th>Taux TVA</th>
                    <th>Montant TVA</th>
                </tr>
                {% for rate, amount in document.vat_detail.items %}
                    <tr>
                        <td>{{ rate.percentage_display.normalize }}%</td>
                        <td>{{ amount|floatformat:2 }}€</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        <div class="col-md-6 col-12 offset-md-2">
            <table class="table table-sm">
                <tbody>
                <tr>
                    <td>Total HT</td>
                    <td>{{ document.total_excluding_vat|floatformat:2 }}€</td>
                </tr>
                <tr>
                    <td>Total TVA</td>
                    <td>{{ document.total_vat|floatformat:2 }}€</td>
                </tr>
                <tr>
                    <td>Total TTC</td>
                    <td>{{ document.total_including_vat|floatformat:2 }}€</td>
                </tr>
                <tr>
                    <th>NET A PAYER</th>
                    <th>{{ document.total_including_vat|floatformat:2 }}€</th>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
    {% with type=document.prefix.type %}
        {% if due_text %}
            <div class="row space-rows">
                <div class="col-12">
                    {{ due_text }}
                </div>
            </div>
        {% endif %}
        {% if type.legal_mentions.all or type.display_bank_details %}
            <div class="row space-rows">
                {% if type.display_bank_details %}
                    <div class="{% if type.legal_mentions.all %}col-md-6 {% endif %}col-12">
                        <div class="card">
                            <div class="card-header"><strong>Coordonnées bancaires</strong></div>
                            <div class="card-body">
                                <p class="card-text">
                                    <strong>Domiciliation</strong> : {{ document.emitter.bank }}<br>
                                    <strong>IBAN</strong> : {{ document.emitter.iban }}<br>
                                    <strong>BIC/SWIFT</strong> : {{ document.emitter.bic }}<br>
                                    Merci d'indiquer <strong>{{ document }}</strong> dans la référence du virement.
                                </p>
                            </div>
                        </div>
                    </div>
                {% endif %}
                {% if type.legal_mentions.all %}
                    <div class="{% if type.display_bank_details %}col-md-6 {% endif %}col-12">
                        <div class="card">
                            <div class="card-header"><strong>Mentions légales</strong></div>
                            <div class="card-body">
                                {% for legal in type.legal_mentions.all %}
                                    <p class="card-text">
                                        {{ legal.content|safe }}
                                    </p>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                {% endif %}
            </div>
        {% endif %}
    {% endwith %}
</div>
</body>
</html>